Subject: Re: [PATCH v5] compat: auto-detect if zlib has uncompress2()

From: Junio C Hamano <[email-masked]>
Date: Mon, 24 Jan 2022 12:21:14 -0800

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> Aside: I have not yet found such a compiler, does anyone know of one
> that breaks? In any case doing this for good measure seems fine, just
> wondering if we're cargo-culting a needless workaround or not.

Before I started Git, I had to deal with quite a many variations of
UNIX, all of which looked alike but behaved slightly differently,
and I do recall seeing this exact breakage, so it is a real solution
to a real problem, and I can see OpenSSL folks had seen the same one.

If you find my experience is not Enough, I have no further words for
you on this topic.

If the question is "name a compiler that breaks and is *still* in
active use", then the answer would be fuzzy (it depends on the
definition of "in active use"), but is useful to find out.